Summary:	MailSync - synchronizing a collection of mailboxes
Summary(pl.UTF-8):	MailSync - synchronizacja zbioru skrzynek pocztowych
Name:		mailsync
Version:	5.2.1
Release:	14
License:	GPL
Group:		Applications/Mail
Source0:	http://dl.sourceforge.net/%{name}/%{name}_%{version}.orig.tar.gz
# Source0-md5:	67c9f68575756b76581cf9be74608aa5
Patch0:		%{name}-ksh.patch
URL:		http://mailsync.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	imap-devel >= 2004
#BuildRequires:	heimdal-devel
BuildRequires:	libstdc++-devel
BuildRequires:	openssl-devel >= 0.9.7d
#BuildRequires:	pam-devel
Requires:	imap-lib >= 2004
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mailsync is a way of synchronizing a collection of mailboxes. The
algorithm is a 3-way diff. Two mailboxes are simultaneously compared
to a record of the state of both mailboxes at last sync. New messages
and message deletions are propagated between the two mailboxes. If
you're familiar with CVS, it's the same principle, except there's no
opportunity for conflicts.

%description -l pl.UTF-8
Mailsync to sposób synchronizacji zbioru skrzynek pocztowych. Algorytm
to trójstronny diff. Dwie skrzynki są jednocześnie porównywane z
rekordem stanu dwóch skrzynek po ostatniej synchronizacji. Nowe
wiadomości i usunięcia wiadomości są propagowane między dwiema
skrzynkami. Działa to na tej samej zasadzie co CVS, z wyjątkiem tego,
że nie występują konflikty.

%prep
%setup -q
%patch0 -p0

%build
./autogen.sh
%configure \
	--with-openssl

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} -C src install \
	DESTDIR=$RPM_BUILD_ROOT

install doc/mailsync.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README THANKS TODO doc/ABSTRACT doc/examples/mailsync
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%changelog
* Thu May 28 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/mailsync.git;a=log;h=master

* Fri Sep 09 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e2cc9ae
- release 14

* Thu Jul 02 2009 Jan Rękorajski <baggins@pld-linux.org> 54153c9
- switch to heimdal kerberos

* Mon May 25 2009 Elan Ruusamäe <glen@pld-linux.org> 6375602
- release 13

* Mon Jan 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> b14166b
- release 12

* Mon Nov 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0df5ff2
- release 11

* Thu Apr 24 2008 Elan Ruusamäe <glen@pld-linux.org> fc1506e
- release 10

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> f78d525
- rel 9

* Mon Dec 10 2007 hawk <hawk@pld-linux.org> ad2d059
- release 8 (imap 2006k)

* Mon Sep 03 2007 hawk <hawk@pld-linux.org> 1d9aafe
- release 7 (imap 2006j2)

* Fri Jul 06 2007 Elan Ruusamäe <glen@pld-linux.org> 5ebcfd6
- rel 6

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> abb1f5d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> dfd1dbd
- converted to UTF-8

* Mon Jan 01 2007 hawk <hawk@pld-linux.org> b397cb8
- fix build with ksh and autoconf 2.60

* Mon Jan 01 2007 hawk <hawk@pld-linux.org> f8177f8
- fix build with ksh + autoconf 2.60

* Sun Dec 31 2006 hawk <hawk@pld-linux.org> 18e307b
- release 4, rebuild with imap 2006d

* Sat Dec 24 2005 hawk <hawk@pld-linux.org> c57cb2b
- release 3 to rebuild with imap 2004g

* Fri Aug 05 2005 Jakub Bogusz <qboosh@pld-linux.org> ca931e7
- removed obsolete amd64_fix patch from sources

* Fri Aug 05 2005 Jakub Bogusz <qboosh@pld-linux.org> 700dc8c
- obsolete

* Fri Aug 05 2005 hawk <hawk@pld-linux.org> 5c332c2
- removed amd64 fix, its already in sources
- release 2

* Wed May 18 2005 zbyniu <zbyniu@pld-linux.org> b240c05
- obsolete

